Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.management.configuration
Interface JMSEventGeneratorsMBean

All Superinterfaces:
  weblogic.management.configuration.ConfigurationMBean, weblogic.descriptor.DescriptorBean, javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, weblogic.descriptor.SettableBean, weblogic.management.WebLogicMBean

    public interface JMSEventGeneratorsMBean

extends weblogic.management.configuration.ConfigurationMBean

Provides a central access point for getting/creating JMS Event Generator MBeans

Field Summary
`static long` | `CACHING_STUB_SVUID` The magic number that is used to generate the serialVersionUID of the generated MBean Stub (xxxMBean_Stub).
`static String` | `TYPE`

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`void` | `deleteJMSEventGenConfigurationMBean(JMSEventGenConfigurationMBean mbean)` Delete a JMSEventGenConfigurationMBean
`String[]` | `getForeignJmsDestinationNames()` Get a list of JNDI names of JMS foreign destination name in the system
`JMSEventGenConfigurationMBean[]` | `getJMSEventGenConfigurationMBeans()` Get a list of all known JMSEventGenConfigurationMBean's
`String[]` | `getJmsQueueNames()` Get a list of JNDI names of JMS queues name in the system
`String[]` | `getJmsTopicNames()` Get a list of JNDI names of JMS topics name in the system
`JMSEventGenConfigurationMBean` | `newJMSEventGenConfigurationMBean(String name)` Create a new JMSEventGenConfigurationMBean
`JMSEventGenConfigurationMBean` | `newJMSEventGenConfigurationMBean(String name, String sourceJNDI)` Create a new JMSEventGenConfigurationMBean

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getComments, getName, getNotes, isDefaultedMBean, isPersistenceEnabled, isSet, restoreDefaultValue, setComments, setDefaultedMBean, setName, setNotes, setPersistenceEnabled, touch, unSet`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Field Detail

### TYPE

    static final String TYPE

See Also:
  Constant Field Values

### CACHING_STUB_SVUID

    static final long CACHING_STUB_SVUID

  The magic number that is used to generate the serialVersionUID of the generated MBean Stub (xxxMBean_Stub). You must change this value whenever you make one of the changes to this interface:

  - remove an existing method.
  - change the signature of an existing "getter" or "setter" method.
  - change the signature of an existing "boolean getter", i.e, "boolean isEnabled()"

  Otherwise you don't need to change this value. For instance you can add new methods, or you can change the signature of methods that don't start with "get", "set" or "is". If you are in doubt then change the SVUID. It is a good idea to increment this value when changing.

  See Also:
    Constant Field Values

Method Detail

### getJMSEventGenConfigurationMBeans

    JMSEventGenConfigurationMBean[] getJMSEventGenConfigurationMBeans()
                                                                      throws javax.management.MBeanException

  Get a list of all known JMSEventGenConfigurationMBean's

  Returns:
    Array of MBean's
  Throws:
    `javax.management.MBeanException`

### deleteJMSEventGenConfigurationMBean

    void deleteJMSEventGenConfigurationMBean(JMSEventGenConfigurationMBean mbean)
                                             throws javax.management.MBeanException

  Delete a JMSEventGenConfigurationMBean

  Parameters:
    `mbean` - MBean to delete
  Throws:
    `javax.management.MBeanException`

### newJMSEventGenConfigurationMBean

    JMSEventGenConfigurationMBean newJMSEventGenConfigurationMBean(String name)
                                                                   throws javax.management.MBeanException

  Create a new JMSEventGenConfigurationMBean

  Parameters:
    `name` - of the new MBean
  Returns:
    the created MBean
  Throws:
    `javax.management.MBeanException`

### newJMSEventGenConfigurationMBean

    JMSEventGenConfigurationMBean newJMSEventGenConfigurationMBean(String name,
                                                                   String sourceJNDI)
                                                                   throws javax.management.MBeanException

  Create a new JMSEventGenConfigurationMBean

  Parameters:
    `name` - of the new MBean
    `name` - of the source JNDI
  Returns:
    the created MBean
  Throws:
    `javax.management.MBeanException`

### getJmsQueueNames

    String[] getJmsQueueNames()

  Get a list of JNDI names of JMS queues name in the system

  Returns:
    list of JMS queues

### getJmsTopicNames

    String[] getJmsTopicNames()

  Get a list of JNDI names of JMS topics name in the system

  Returns:
    list of JMS topics

### getForeignJmsDestinationNames

    String[] getForeignJmsDestinationNames()

  Get a list of JNDI names of JMS foreign destination name in the system

  Returns:
    list of JMS destinations

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD